---
schema_version: "1"
id: 361e532939fc73cb9202a408f6a28bf236f68c71de66a3529764ca08a37f8eea
title: MRT B2C Config
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/pwa-kit-managed-runtime/references/generated-api-specs/mrt-b2c-config.md
canonical_url: https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/references/mrt-b2c-config
source_site: developer.salesforce.com
content_type: documentation
content_hash: d43de968eb7607d04f0a26248a3fe780e9b0f85639aa6628b62cf8f2569ab64b
products:
  - Composable Storefront
  - Salesforce APIs
---
MRT B2C Config

# MRT B2C Config

Set up how a storefront or other headless commerce application is deployed to Managed Runtime.  
  
Note: Where possible, we changed noninclusive terms to align with our company value of Equality. We maintained certain terms to avoid any effect on customer implementations.

**Version:** v1

## Servers

*   `https://cloud.mobify.com/api/cc/b2c/`

## Security

*   `Basic` (http) A basic authentication scheme for Managed Runtime API endpoints. To make an API request, concatenate your email address and API key separated by a colon (:). Base64 encode the concatenated string and include it in the HTTP request Authorization header.  
      
    Example:  
      
    `Authorization: Basic $B64_ENCODED_VALUE`
    *   HTTP scheme: basic
*   `BearerToken` (http) A bearer token authentication scheme for Managed Runtime API endpoints. To make an API request, include your API key in the HTTP request Authorization header.  
      
    Example:  
      
    `Authorization: Bearer $API_KEY`
    *   HTTP scheme: bearer (Bearer .\*)

## Operations

### GET cc\_b2c\_organization\_info\_retrieve

`GET /b2c-organization-info/{organization_slug}/`

Operation ID: `cc_b2c_organization_info_retrieve`. Tags: b2c-organization-info. Security: Basic; BearerToken.

Get the list of B2C Commerce instances connected to a specified organization. This allows you to track the integrations between your Managed Runtime targets (environments) and Commerce Cloud.

#### Parameters

*   `organization_slug` (path, string, required) The organization identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIB2COrgInfo`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "is_b2c_customer": true,
      "instances": [
        "aaaa_prd",
        "aaaa_stg",
        "aaaa_dev",
        "aaaa_001"
      ]
    }
    ```
    

### GET cc\_b2c\_target\_info\_retrieve

`GET /projects/{project_slug}/b2c-target-info/{target_slug}/`

Operation ID: `cc_b2c_target_info_retrieve`. Tags: projects. Security: Basic; BearerToken.

Get the B2C Commerce instance and sites connected to a specified target (environment). This allows you to track the integrations between your Managed Runtime targets and Commerce Cloud.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIB2CTargetInfo`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "instance_id": "aaaa_prd",
      "sites": [
        "DemoSite1",
        "DemoSite2"
      ]
    }
    ```
    

### PUT cc\_b2c\_target\_info\_update

`PUT /projects/{project_slug}/b2c-target-info/{target_slug}/`

Operation ID: `cc_b2c_target_info_update`. Tags: projects. Security: Basic; BearerToken.

Create B2C information for a target.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body (required)

Media type: `application/json`. Schema: `APIB2CTargetInfo`.

_Example: RequestExample1_

```
{
  "instance_id": "aaaa_prd",
  "sites": [
    "DemoSite1",
    "DemoSite2"
  ]
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `APIB2CTargetInfo`.

Media type: `multipart/form-data`. Schema: `APIB2CTargetInfo`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIB2CTargetInfo`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "instance_id": "aaaa_prd",
      "sites": [
        "DemoSite1",
        "DemoSite2"
      ]
    }
    ```
    

### PATCH cc\_b2c\_target\_info\_partial\_update

`PATCH /projects/{project_slug}/b2c-target-info/{target_slug}/`

Operation ID: `cc_b2c_target_info_partial_update`. Tags: projects. Security: Basic; BearerToken.

Edit a specified target's (environment's) connection to a B2C Commerce instance. If you pass in a list of site IDs, that list replaces the existing sites connected to the target.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body

Media type: `application/json`. Schema: `PatchedAPIB2CTargetInfo`.

_Example: RequestExample1_

```
{
  "instance_id": "aaaa_prd",
  "sites": [
    "DemoSite1",
    "DemoSite2"
  ]
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `PatchedAPIB2CTargetInfo`.

Media type: `multipart/form-data`. Schema: `PatchedAPIB2CTargetInfo`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIB2CTargetInfo`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "instance_id": "aaaa_prd",
      "sites": [
        "DemoSite1",
        "DemoSite2"
      ]
    }
    ```
    

## Schemas

### APIB2COrgInfo

*   `is_b2c_customer` (_boolean_, required) Specifies whether the organization is a B2C customer account. Returns true if the organization is a B2C customer account. Returns false if the organization isn't a B2C customer account.
*   `instances` (_array of string_, required)
    
    Each item: List of B2C Commerce instances.
    
      
    Items: Maximum length: 8.

### APIB2CTargetInfo

*   `instance_id` (_string_, required) ID of the B2C Commerce instance associated with the target  
    Maximum length: 8.
*   `sites` (_array of string_, nullable)
    
    Each item: List of site IDs associated with the B2C Commerce instance
    
      
    Items: Maximum length: 32.

### PatchedAPIB2CTargetInfo

*   `instance_id` (_string_) ID of the B2C Commerce instance associated with the target  
    Maximum length: 8.
*   `sites` (_array of string_, nullable)
    
    Each item: List of site IDs associated with the B2C Commerce instance
    
      
    Items: Maximum length: 32.